<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>SummaryComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/4-summary/summary.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>summary, [summary]</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./summary.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./summary.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#authenticationForm">authenticationForm</a>
                            </li>
                            <li>
                                <a href="#birthDateScope">birthDateScope</a>
                            </li>
                            <li>
                                <a href="#busy">busy</a>
                            </li>
                            <li>
                                <a href="#currentStepNumber">currentStepNumber</a>
                            </li>
                            <li>
                                <a href="#nextStepChecked">nextStepChecked</a>
                            </li>
                            <li>
                                <a href="#nextStepNumber">nextStepNumber</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#back">back</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#birthDateCheck">birthDateCheck</a>
                            </li>
                            <li>
                                <a href="#canVote">canVote</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#createForm">createForm</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#displayErrorDialog">displayErrorDialog</a>
                            </li>
                            <li>
                                <a href="#extractDate">extractDate</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#quit">quit</a>
                            </li>
                            <li>
                                <a href="#submitVote">submitVote</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#hasMixedBallots">hasMixedBallots</a>
                                </li>
                                <li>
                                    <a href="#hasSingleBallot">hasSingleBallot</a>
                                </li>
                                <li>
                                    <a href="#isGroupedVotation">isGroupedVotation</a>
                                </li>
                                <li>
                                    <a href="#votations">votations</a>
                                </li>
                                <li>
                                    <a href="#elections">elections</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, voteWorkflowViewComponent: <a href="../components/VoteWorkflowViewComponent.html">VoteWorkflowViewComponent</a>, currentVotingService: <a href="../injectables/CurrentVotingService.html">CurrentVotingService</a>, protocolService: <a href="../injectables/ProtocolService.html">ProtocolService</a>, translateService: TranslateService, dialog: MatDialog, formBuilder: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="49" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:49</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>voteWorkflowViewComponent</td>
                                                  
                                                        <td>
                                                                    <code><a href="../components/VoteWorkflowViewComponent.html" target="_self" >VoteWorkflowViewComponent</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>currentVotingService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/CurrentVotingService.html" target="_self" >CurrentVotingService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>protocolService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ProtocolService.html" target="_self" >ProtocolService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialog</td>
                                                  
                                                        <td>
                                                                    <code>MatDialog</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>formBuilder</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="back"></a>
                        <span class="name">
                            <b>
                            back
                            </b>
                            <a href="#back"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>back()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="147" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:147</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="birthDateCheck"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            birthDateCheck
                            </b>
                            <a href="#birthDateCheck"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>birthDateCheck()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="75" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:75</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://angular.io/api/forms/ValidatorFn" target="_blank" >ValidatorFn</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="canVote"></a>
                        <span class="name">
                            <b>
                            canVote
                            </b>
                            <a href="#canVote"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>canVote()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="151" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:151</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="createForm"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            createForm
                            </b>
                            <a href="#createForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>createForm()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="63" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:63</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayErrorDialog"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            displayErrorDialog
                            </b>
                            <a href="#displayErrorDialog"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>displayErrorDialog(error)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="169" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:169</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>error</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="extractDate"></a>
                        <span class="name">
                            <b>
                            extractDate
                            </b>
                            <a href="#extractDate"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>extractDate(rawDateValue)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="84" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:84</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>rawDateValue</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>{ day: any; month: any; year: any; }</code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="115" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:115</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="quit"></a>
                        <span class="name">
                            <b>
                            quit
                            </b>
                            <a href="#quit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>quit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="143" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:143</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="submitVote"></a>
                        <span class="name">
                            <b>
                            submitVote
                            </b>
                            <a href="#submitVote"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>submitVote()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="157" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:157</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="authenticationForm"></a>
                        <span class="name">
                            <b>
                            authenticationForm
                            </b>
                            <a href="#authenticationForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>authenticationForm:     <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:48</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="birthDateScope"></a>
                        <span class="name">
                            <b>
                            birthDateScope
                            </b>
                            <a href="#birthDateScope"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>birthDateScope:     <code>&quot;DAY&quot; | &quot;MONTH&quot; | &quot;YEAR&quot;</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>&quot;DAY&quot; | &quot;MONTH&quot; | &quot;YEAR&quot;</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="49" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:49</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="busy"></a>
                        <span class="name">
                            <b>
                            busy
                            </b>
                            <a href="#busy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>busy:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="47" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:47</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="currentStepNumber"></a>
                        <span class="name">
                            <b>
                            currentStepNumber
                            </b>
                            <a href="#currentStepNumber"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>currentStepNumber:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="44" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:44</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="nextStepChecked"></a>
                        <span class="name">
                            <b>
                            nextStepChecked
                            </b>
                            <a href="#nextStepChecked"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>nextStepChecked:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="46" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:46</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="nextStepNumber"></a>
                        <span class="name">
                            <b>
                            nextStepNumber
                            </b>
                            <a href="#nextStepNumber"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>nextStepNumber:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:45</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hasMixedBallots"></a>
                        <span class="name"><b>hasMixedBallots</b><a href="#hasMixedBallots"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>hasMixedBallots()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="123" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:123</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hasSingleBallot"></a>
                        <span class="name"><b>hasSingleBallot</b><a href="#hasSingleBallot"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>hasSingleBallot()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="127" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:127</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isGroupedVotation"></a>
                        <span class="name"><b>isGroupedVotation</b><a href="#isGroupedVotation"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isGroupedVotation()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="131" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:131</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="votations"></a>
                        <span class="name"><b>votations</b><a href="#votations"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>votations()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="135" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:135</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="elections"></a>
                        <span class="name"><b>elections</b><a href="#elections"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>elections()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="139" class="link-to-prism">src/app/operation/4-summary/summary.component.ts:139</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &quot;@angular/core&quot;;
import { Step, VoteWorkflowViewComponent } from &quot;../vote-workflow-display/vote-workflow-view.component&quot;;
import { ActivatedRoute, Router } from &quot;@angular/router&quot;;
import { CurrentVotingService } from &quot;../current-voting-service&quot;;
import { ProtocolService } from &#x27;../../core/service/protocol.service&#x27;;
import { Votation } from &#x27;../../model/votation&#x27;;
import { ElectionBallot } from &#x27;../../model/election&#x27;;
import { FormBuilder, FormGroup, ValidatorFn, Validators } from &#x27;@angular/forms&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { MatDialog } from &#x27;@angular/material&#x27;;
import { ChvoteDialogComponent } from &#x27;../../core/chvote-dialog/chvote-dialog.component&#x27;;


@Component({
  selector: &#x27;summary, [summary]&#x27;,
  templateUrl: &#x27;./summary.component.html&#x27;,
  styleUrls: [&#x27;./summary.component.scss&#x27;]
})

export class SummaryComponent implements OnInit {
  currentStepNumber;
  nextStepNumber;
  nextStepChecked: boolean &#x3D; false;
  busy: boolean &#x3D; false;
  authenticationForm: FormGroup;
  birthDateScope: &quot;DAY&quot; | &quot;MONTH&quot; | &quot;YEAR&quot;;


  constructor(private router: Router,
              private route: ActivatedRoute,
              private voteWorkflowViewComponent: VoteWorkflowViewComponent,
              private currentVotingService: CurrentVotingService,
              private protocolService: ProtocolService,
              private translateService: TranslateService,
              private dialog: MatDialog,
              private formBuilder: FormBuilder) {
  }


  private createForm() {
    this.authenticationForm &#x3D; this.formBuilder.group({
      birthDate: [
        null,
        [
          Validators.required,
          this.birthDateCheck()
        ]
      ]
    });
  }

  private birthDateCheck(): ValidatorFn {
    return control &#x3D;&gt; {
      if (!this.extractDate(&#x60;${control.value}&#x60;)) {
        return {&#x27;birth-date.wrong-format&#x27;: this.birthDateScope}
      }
      return null
    }
  }

  extractDate(rawDateValue) {
    let parts &#x3D; rawDateValue.split(/[-. /\\]/);
    let expectedElementsCount &#x3D; this.birthDateScope &#x3D;&#x3D; &quot;DAY&quot; ? 3 : this.birthDateScope &#x3D;&#x3D; &quot;MONTH&quot; ? 2 : 1;
    if (expectedElementsCount !&#x3D; parts.length) {
      return null;
    }

    if (!parts.every(part &#x3D;&gt; !!part.match(/[0-9]+/))) {
      return null;
    }

    let day &#x3D; (expectedElementsCount &#x3D;&#x3D; 3) ? parseInt(parts.splice(0, 1)[0]) : 1;
    let month &#x3D; (expectedElementsCount &gt;&#x3D; 2) ? parseInt(parts.splice(0, 1)[0]) : 1;
    let year &#x3D; parseInt(parts.splice(0, 1)[0]);

    // Check date validity
    let date &#x3D; new Date();

    // Check date validity
    date.setFullYear(year, month - 1, day);
    if (!((date.getFullYear() &#x3D;&#x3D; year) &amp;&amp; (date.getMonth() + 1 &#x3D;&#x3D; month) &amp;&amp; (date.getDate() &#x3D;&#x3D; day))) {
      return null;
    }

    return {
      day: (expectedElementsCount &#x3D;&#x3D; 3) ? day : null,
      month: (expectedElementsCount &gt;&#x3D; 2) ? month : null,
      year: year
    };
  }

  ngOnInit(): void {
    this.currentStepNumber &#x3D; this.voteWorkflowViewComponent.getStepNumber(Step.Summary);
    this.nextStepNumber &#x3D; this.voteWorkflowViewComponent.getStepNumber(Step.Control);
    this.birthDateScope &#x3D; this.currentVotingService.birthDateScope;
    this.createForm();
    this.currentVotingService.lastVisitedPage &#x3D; &#x27;SUMMARY&#x27;;
  }

  get hasMixedBallots(): boolean {
    return this.votations.length &gt; 0 &amp;&amp; this.elections.length &gt; 0;
  }

  get hasSingleBallot(): boolean {
    return this.currentVotingService.hasSingleBallot();
  }

  get isGroupedVotation(): boolean {
    return this.currentVotingService.operation.groupVotation;
  }

  get votations(): Votation[] {
    return this.currentVotingService.votations;
  }

  get elections(): ElectionBallot[] {
    return this.currentVotingService.elections;
  }

  quit() {
    // TODO
  }

  back(): void {
    this.router.navigate([&#x27;../ballotsList&#x27;], {relativeTo: this.route});
  }

  canVote() {
    return this.nextStepChecked &amp;&amp;
           !this.busy &amp;&amp;
           this.authenticationForm.valid
  }

  submitVote() {
    this.busy &#x3D; true;
    this.protocolService.submitBallot(this.extractDate(&#x60;${this.authenticationForm.controls.birthDate.value}&#x60;))
      .subscribe(() &#x3D;&gt; {
        this.router.navigate([&#x27;../control&#x27;], {relativeTo: this.route});
        this.busy &#x3D; false;
      }, errorProvider &#x3D;&gt; {
        this.busy &#x3D; false;
        errorProvider.onValidationError(/.*BirthDateCheckException/, error &#x3D;&gt; this.displayErrorDialog(error))
      });
  }

  private displayErrorDialog(error) {
    let canRetry &#x3D; error.globalErrors[0].messageParams[1] &#x3D;&#x3D; &quot;true&quot;;
    let data: any &#x3D; {
      type: canRetry ? &#x27;warning&#x27; : &#x27;error&#x27;,
      titleKey: &#x27;summary.authentication.error-dialog.title&#x27;,
      messageKey: &#x60;summary.authentication.error-dialog.${error.globalErrors[0].messageKey}&#x60;,
      messageParams: {
        count: error.globalErrors[0].messageParams[0]
      }
    };
    if (canRetry) {
      data.primaryButtonKey &#x3D; &#x27;global.actions.retry&#x27;
    } else {
      data.secondaryButtonKey &#x3D; &#x27;global.actions.quit&#x27;
    }

    this.dialog.open(ChvoteDialogComponent, {
      width: &#x27;500px&#x27;,
      disableClose: true,
      data: data
    }).afterClosed().subscribe(() &#x3D;&gt; {
      if (!canRetry) {
        this.quit();
      }
    });
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--&gt;

&lt;!-- part for representation of vote&#x27;s summary --&gt;

&lt;!-- indicator component for display steps and current worflow done/current/to-do --&gt;
&lt;vote-workflow-view&gt;&lt;/vote-workflow-view&gt;


&lt;h2 id&#x3D;&quot;stepTitle&quot;&gt;
  {{ &#x27;global.step.title-prefix&#x27; | translate:currentStepNumber }}
  {{ &#x27;summary.step-name&#x27; | translate }}
&lt;/h2&gt;

&lt;section role&#x3D;&quot;document&quot;
         [innerHTML]&#x3D;&quot;(hasSingleBallot ? &#x27;summary.description.single-ballot&#x27; : &#x27;summary.description.multi-ballot&#x27;) | translate&quot;&gt;&lt;/section&gt;

&lt;section role&#x3D;&quot;main&quot;&gt;

  &lt;!-- elections --&gt;
  &lt;!-- TODO --&gt;

  &lt;!-- votations --&gt;
  &lt;ng-container *ngIf&#x3D;&quot;votations.length &gt; 0&quot;&gt;
    &lt;h3
      [innerHtml]&#x3D;&quot;(hasMixedBallots ? &#x27;summary.choices.title.votation&#x27; : &#x27;summary.choices.title.single-ballot&#x27;) | translate&quot;&gt;&lt;/h3&gt;

    &lt;chvote-votation-ballot *ngIf&#x3D;&quot;isGroupedVotation&quot; display&#x3D;&quot;summary&quot;
                            [buttonDisabled]&#x3D;&quot;nextStepChecked || busy&quot;
                            [votations]&#x3D;&quot;votations&quot;&gt;&lt;/chvote-votation-ballot&gt;

    &lt;ol *ngIf&#x3D;&quot;!isGroupedVotation&quot;&gt;
      &lt;li *ngFor&#x3D;&quot;let votation of votations; index as ballotNumber&quot;&gt;
        &lt;chvote-votation-ballot display&#x3D;&quot;summary&quot;
                                [buttonDisabled]&#x3D;&quot;nextStepChecked || busy&quot;
                                [votations]&#x3D;&quot;[votation]&quot;
                                [ballotNumber]&#x3D;&quot;ballotNumber&quot;&gt;&lt;/chvote-votation-ballot&gt;
      &lt;/li&gt;
    &lt;/ol&gt;
  &lt;/ng-container&gt;

  &lt;div *ngIf&#x3D;&quot;!hasSingleBallot&quot; class&#x3D;&quot;back-button&quot;&gt;
    &lt;button mat-raised-button class&#x3D;&quot;secondary&quot;
            id&#x3D;&quot;back-button&quot;
            [disabled]&#x3D;&quot;nextStepChecked || busy&quot;
            (click)&#x3D;&quot;back()&quot;&gt;
      &lt;i class&#x3D;&quot;fas fa-bars&quot; data-fa-transform&#x3D;&quot;up-1 left-6&quot;&gt;&lt;/i&gt;
      {{ &#x27;global.actions.back&#x27; | translate }}
    &lt;/button&gt;
  &lt;/div&gt;

&lt;/section&gt;

&lt;section role&#x3D;&quot;complementary&quot;&gt;
  &lt;!-- authentication --&gt;
  &lt;form [formGroup]&#x3D;&quot;authenticationForm&quot; novalidate&gt;
    &lt;h3 [innerHtml]&#x3D;&quot;&#x27;summary.authentication.title&#x27; | translate&quot;&gt;&lt;/h3&gt;
    &lt;div class&#x3D;&quot;authentication-content form-note&quot;&gt;
      &lt;div&gt;
        &lt;span class&#x3D;&quot;authentication-form-input-description&quot; id&#x3D;&quot;inputDescription&quot;&gt;{{&#x27;summary.authentication.field.birthDate.label&#x27; | translate}}&lt;/span&gt;
        &lt;br&gt;
        &lt;span class&#x3D;&quot;authentication-form-input-example&quot;
              [innerHTML]&#x3D;&quot;&#x27;summary.authentication.field.birthDate.example.&#x27; + birthDateScope.toLowerCase() | translate&quot;&gt;&lt;/span&gt;
      &lt;/div&gt;
      &lt;mat-form-field id&#x3D;&quot;birthDate&quot; floatLabel&#x3D;never&gt;
        &lt;input matInput id&#x3D;&quot;birthDateInput&quot; formControlName&#x3D;&quot;birthDate&quot; aria-labelledby&#x3D;&quot;inputDescription&quot;
               autocomplete&#x3D;&quot;off&quot;&gt;
        &lt;mat-placeholder
          [innerHTML]&#x3D;&quot;&#x27;summary.authentication.field.birthDate.placeholder&#x27; | translate&quot;&gt;&lt;/mat-placeholder&gt;
        &lt;mat-error *ngIf&#x3D;&quot;authenticationForm.invalid&quot;&gt;
          &lt;default-errors fieldName&#x3D;&quot;birthDate&quot; [form]&#x3D;&quot;authenticationForm&quot;&gt;&lt;/default-errors&gt;
        &lt;/mat-error&gt;
      &lt;/mat-form-field&gt;
    &lt;/div&gt;
  &lt;/form&gt;
&lt;/section&gt;

&lt;section role&#x3D;&quot;complementary&quot;&gt;

  &lt;!-- next step --&gt;
  &lt;h3 [innerHtml]&#x3D;&quot;&#x27;summary.next-step.title&#x27; | translate&quot;&gt;&lt;/h3&gt;
  &lt;div class&#x3D;&quot;form-note&quot;&gt;
    &lt;span [innerHtml]&#x3D;&quot;&#x27;summary.next-step.description&#x27; | translate&quot;&gt;&lt;/span&gt;

    &lt;chvote-expansion-panel accessibilityKey&#x3D;&quot;summary.next-step.complementary.title.accessibility&quot;
                            titleKey&#x3D;&quot;summary.next-step.complementary.title.text&quot;
                            contentKey&#x3D;&quot;summary.next-step.complementary.content&quot;
                            strongerContrast&#x3D;&quot;true&quot;&gt;
    &lt;/chvote-expansion-panel&gt;

    &lt;div class&#x3D;&quot;check-zone&quot;&gt;
      &lt;label id&#x3D;&quot;label-checkNextStep&quot;&gt;
        &lt;div class&#x3D;&quot;check-zone-checkbox&quot;&gt;
          &lt;chvote-checkbox id&#x3D;&quot;checkNextStep&quot;
                           [checked]&#x3D;&quot;nextStepChecked&quot;
                           (selected)&#x3D;&quot;nextStepChecked &#x3D; !nextStepChecked&quot;&gt;
          &lt;/chvote-checkbox&gt;
        &lt;/div&gt;
        &lt;span [innerHtml]&#x3D;&quot;&#x27;summary.next-step.check-notification&#x27; | translate&quot;&gt;&lt;/span&gt;
      &lt;/label&gt;
    &lt;/div&gt;
  &lt;/div&gt;

&lt;/section&gt;

&lt;nav&gt;
  &lt;button mat-raised-button
          id&#x3D;&quot;quit-button&quot;
          class&#x3D;&quot;abort&quot;
          [disabled]&#x3D;&quot;nextStepChecked || busy&quot;
          (click)&#x3D;&quot;quit()&quot;&gt;
    &lt;i class&#x3D;&quot;fas fa-times&quot; data-fa-transform&#x3D;&quot;up-1 left-6&quot;&gt;&lt;/i&gt;
    {{ &#x27;global.actions.quit&#x27; | translate }}
  &lt;/button&gt;

  &lt;div class&#x3D;&quot;button-with-hint&quot;&gt;
    &lt;button mat-raised-button class&#x3D;&quot;primary&quot;
            id&#x3D;&quot;next-step-button&quot;
            aria-describedby&#x3D;&quot;next-step-hint&quot;
            [disabled]&#x3D;&quot;!canVote()&quot;
            (click)&#x3D;&quot;submitVote()&quot;&gt;
      {{ &#x27;global.actions.continue&#x27; | translate }}
      &lt;i class&#x3D;&quot;fas fa-arrow-right&quot; data-fa-transform&#x3D;&quot;up-1 right-6&quot;&gt;&lt;/i&gt;
      &lt;span *ngIf&#x3D;&quot;busy&quot;&gt;
        &lt;i class&#x3D;&quot;fas fa-spinner fa-pulse&quot; data-fa-transform&#x3D;&quot;up-1 right-10&quot;&gt;&lt;/i&gt;
      &lt;/span&gt;
    &lt;/button&gt;
    &lt;span id&#x3D;&quot;next-step-hint&quot; class&#x3D;&quot;next-step-hint&quot;&gt;
        {{ &#x27;global.step.next-info&#x27; | translate:nextStepNumber }}{{ &#x27;control.step-name&#x27; | translate }}
    &lt;/span&gt;
  &lt;/div&gt;
&lt;/nav&gt;




</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./summary.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/

.check-zone {
  display: flex;
  flex-direction: row;
  border: 1px solid #cccccc;
  background: white;
  padding: 15px;
}

.check-zone label {
  display: flex;
  align-items: center;
}

.check-zone label span {
  cursor: pointer;
}

.check-zone-checkbox {
  margin-top: -15px;
  min-width: 40px;
}

.authentication-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.mat-form-field {
  width: 300px;
}

.authentication-form-input-description {
  font-weight: bold;
}

ol {
  padding: 0;
  margin: 0;
}

li {
  list-style: none;
  margin-bottom: 20px;
}

.back-button {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}

@media screen and (min-width: 576px) {

  .authentication-content {
    flex-direction: row;
    justify-content: center;
    align-items: center;
  }

  .authentication-form-input-description {
    text-align: right;
    float: right;
    margin-right: 24px;
  }

  .authentication-form-input-example {
    text-align: right;
    float: right;
    margin-right: 24px;
  }

}

@media screen and (min-width: 970px) {
  .mat-form-field {
    width: 400px;
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~ /*                                                                                            ~  ~  - #%L                                                                                        ~  ~  - CHVote-Receiver                                                                            ~  ~  - %%                                                                                         ~  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~  ~  - %%                                                                                         ~  ~  - This program is free software: you can redistribute it and/or modify                       ~  ~  - it under the terms of the GNU Affero General Public License as published by                ~  ~  - the Free Software Foundation, either version 3 of the License, or                          ~  ~  - (at your option) any later version.                                                        ~  ~  -                                                                                            ~  ~  - This program is distributed in the hope that it will be useful,                            ~  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~  ~  - GNU General Public License for more details.                                               ~  ~  -                                                                                            ~  ~  - You should have received a copy of the GNU Affero General Public License                   ~  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~  ~  - #L%                                                                                        ~  ~  */                                                                                           ~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><!-- part for representation of vote\'s summary --><!-- indicator component for display steps and current worflow done/current/to-do --><vote-workflow-view></vote-workflow-view><h2 id="stepTitle">  {{ \'global.step.title-prefix\' | translate:currentStepNumber }}  {{ \'summary.step-name\' | translate }}</h2><section role="document"         [innerHTML]="(hasSingleBallot ? \'summary.description.single-ballot\' : \'summary.description.multi-ballot\') | translate"></section><section role="main">  <!-- elections -->  <!-- TODO -->  <!-- votations -->  <ng-container *ngIf="votations.length > 0">    <h3      [innerHtml]="(hasMixedBallots ? \'summary.choices.title.votation\' : \'summary.choices.title.single-ballot\') | translate"></h3>    <chvote-votation-ballot *ngIf="isGroupedVotation" display="summary"                            [buttonDisabled]="nextStepChecked || busy"                            [votations]="votations"></chvote-votation-ballot>    <ol *ngIf="!isGroupedVotation">      <li *ngFor="let votation of votations; index as ballotNumber">        <chvote-votation-ballot display="summary"                                [buttonDisabled]="nextStepChecked || busy"                                [votations]="[votation]"                                [ballotNumber]="ballotNumber"></chvote-votation-ballot>      </li>    </ol>  </ng-container>  <div *ngIf="!hasSingleBallot" class="back-button">    <button mat-raised-button class="secondary"            id="back-button"            [disabled]="nextStepChecked || busy"            (click)="back()">      <i class="fas fa-bars" data-fa-transform="up-1 left-6"></i>      {{ \'global.actions.back\' | translate }}    </button>  </div></section><section role="complementary">  <!-- authentication -->  <form [formGroup]="authenticationForm" novalidate>    <h3 [innerHtml]="\'summary.authentication.title\' | translate"></h3>    <div class="authentication-content form-note">      <div>        <span class="authentication-form-input-description" id="inputDescription">{{\'summary.authentication.field.birthDate.label\' | translate}}</span>        <br>        <span class="authentication-form-input-example"              [innerHTML]="\'summary.authentication.field.birthDate.example.\' + birthDateScope.toLowerCase() | translate"></span>      </div>      <mat-form-field id="birthDate" floatLabel=never>        <input matInput id="birthDateInput" formControlName="birthDate" aria-labelledby="inputDescription"               autocomplete="off">        <mat-placeholder          [innerHTML]="\'summary.authentication.field.birthDate.placeholder\' | translate"></mat-placeholder>        <mat-error *ngIf="authenticationForm.invalid">          <default-errors fieldName="birthDate" [form]="authenticationForm"></default-errors>        </mat-error>      </mat-form-field>    </div>  </form></section><section role="complementary">  <!-- next step -->  <h3 [innerHtml]="\'summary.next-step.title\' | translate"></h3>  <div class="form-note">    <span [innerHtml]="\'summary.next-step.description\' | translate"></span>    <chvote-expansion-panel accessibilityKey="summary.next-step.complementary.title.accessibility"                            titleKey="summary.next-step.complementary.title.text"                            contentKey="summary.next-step.complementary.content"                            strongerContrast="true">    </chvote-expansion-panel>    <div class="check-zone">      <label id="label-checkNextStep">        <div class="check-zone-checkbox">          <chvote-checkbox id="checkNextStep"                           [checked]="nextStepChecked"                           (selected)="nextStepChecked = !nextStepChecked">          </chvote-checkbox>        </div>        <span [innerHtml]="\'summary.next-step.check-notification\' | translate"></span>      </label>    </div>  </div></section><nav>  <button mat-raised-button          id="quit-button"          class="abort"          [disabled]="nextStepChecked || busy"          (click)="quit()">    <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>    {{ \'global.actions.quit\' | translate }}  </button>  <div class="button-with-hint">    <button mat-raised-button class="primary"            id="next-step-button"            aria-describedby="next-step-hint"            [disabled]="!canVote()"            (click)="submitVote()">      {{ \'global.actions.continue\' | translate }}      <i class="fas fa-arrow-right" data-fa-transform="up-1 right-6"></i>      <span *ngIf="busy">        <i class="fas fa-spinner fa-pulse" data-fa-transform="up-1 right-10"></i>      </span>    </button>    <span id="next-step-hint" class="next-step-hint">        {{ \'global.step.next-info\' | translate:nextStepNumber }}{{ \'control.step-name\' | translate }}    </span>  </div></nav></div>'
    var COMPONENTS = [{'name': 'ActionsOnBallotsComponent', 'selector': 'actions-on-ballots'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotsListComponent', 'selector': 'app-ballots-list'},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'ChvoteBallotHeaderComponent', 'selector': 'chvote-ballot-header'},{'name': 'ChvoteCheckboxComponent', 'selector': 'chvote-checkbox'},{'name': 'ChvoteCoatOfArmsComponent', 'selector': 'chvote-coat-of-arms'},{'name': 'ChvoteDialogComponent', 'selector': 'chvote-dialog'},{'name': 'ChvoteDocumentsComponent', 'selector': 'chvote-documents'},{'name': 'ChvoteExpansionPanelComponent', 'selector': 'chvote-expansion-panel'},{'name': 'ChvoteHelperComponent', 'selector': 'chvote-helper'},{'name': 'ChvoteSubjectCardComponent', 'selector': '[chvote-subject-card]'},{'name': 'ChvoteVariantSubjectCardComponent', 'selector': '[chvote-variant-subject-card]'},{'name': 'ChvoteVotationBallotComponent', 'selector': 'chvote-votation-ballot'},{'name': 'ControlComponent', 'selector': 'control, [control]'},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'ErrorMessageComponent', 'selector': 'error-message-component'},{'name': 'FinalizationComponent', 'selector': 'finalization, [finalization]'},{'name': 'FooterDocumentsComponent', 'selector': 'footer-documents'},{'name': 'FooterZoneComponent', 'selector': 'footer-zone'},{'name': 'GroupedVotationCardComponent', 'selector': '[grouped-votation-card]'},{'name': 'HeaderZoneComponent', 'selector': 'header-zone'},{'name': 'IdentificationComponent', 'selector': ''},{'name': 'LegalInformationComponent', 'selector': ''},{'name': 'LocalizedLabelComponent', 'selector': '[localized-label]'},{'name': 'OperationComponent', 'selector': ''},{'name': 'SideZoneComponent', 'selector': 'side-zone'},{'name': 'SideZoneSectionComponent', 'selector': 'side-zone-section'},{'name': 'SingleBallotCardComponent', 'selector': '[single-ballot-card]'},{'name': 'SummaryComponent', 'selector': 'summary, [summary]'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'VotationBallotComponent', 'selector': 'votation-ballot, [votation-ballot]'},{'name': 'VotationCardComponent', 'selector': '[votation-card]'},{'name': 'VoteWorkflowStepComponent', 'selector': 'li[vote-workflow-step]'},{'name': 'VoteWorkflowViewComponent', 'selector': 'vote-workflow-view'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'SummaryComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'SummaryComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
